<?php
    if ( file_exists( dirname(__FILE__)."/tpl_options.php" ) ) {
        include(dirname(__FILE__)."/tpl_options.php");
    } else {
        die("no options file 'tpl_options.php' found!");
    }


?>
<!DOCTYPE html>

<html>
    <head>
    <head>
        <!-- Meta -->
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <base href="<?php print $TPL["feedback_terminal"]["base_path"] ?>"/>
        <!-- Favicon -->
        <!--<link href="/images/favicon.ico" rel="shortcut icon" type="image/x-icon"/>-->
        <!-- Title -->
        <title><?php print($TPL["feedback_terminal"]["title"]) ?></title>
        <!-- Stylesheets -->
        <link href="/metacore/skins/fonts/opensans.css"    rel="stylesheet"/>
        <link href="css/bootstrap.min.css"    rel="stylesheet"/>
        <link href="css/bootstrap-theme.min.css"    rel="stylesheet"/>
        <link href="css/layout.css"    rel="stylesheet"/>
        <link href="css/style.css"    rel="stylesheet"/>
        <!-- JavaScript -->
        <script src="js/jquery.min.js"    ></script>
        <script src="js/bootstrap.min.js"    ></script>
        <script src="js/index.js"    ></script>

    </head>

    <body>


        <div id="header" style="" class="header_box">

        </div>

        <div id="logo" class="logo_box" onclick="location.reload();">
        <?php
            if ( file_exists(MS_OPT_BASE."/templates/pages/customer_feedback/images/logo.svg") ) {
                print("<img src=\"/templates/pages/customer_feedback/images/logo.svg\" width=\"120\">\n");
            } else {
                print("<img src=\"/img/james_logo.svg\" width=\"120\">\n");
            }
        ?>

        </div>


        <div id="main_content" class="main_content">


        </div>

        <div id="footer" style="" class="footer_box">
            <div id="uhr" class="uhr"></div>
        </div>
        <script type="text/javascript">
        function mata_james_pools_send_event( mode, pv1, pv2, pv3, pv4, pv5, pv6, pv7, pv8, pv9, pv10 ) {

            var url = '';
            url += '/ajax/display_wrapper.php?SID=<?php print($SID); ?>';
            url += '&action=display_pools_send_feedback';
            url += '&di_id=<?php print($_GET["di_id"]);?>';
            url += '&mode=' + mode;
            url += '&pv1=' + pv1;
            url += '&pv2=' + pv2;
            url += '&pv3=' + pv3;
            url += '&pv4=' + pv4;
            url += '&pv5=' + pv5;
            url += '&pv6=' + pv6;
            url += '&pv7=' + pv7;
            url += '&pv8=' + pv8;
            url += '&pv9=' + pv9;
            url += '&pv10=' + pv10;

            $('#main_content').load( url );
        }
        function meta_james_pools_main_load() {
            $('#main_content').load('/ajax/display_wrapper.php?SID=<?php print($SID); ?>&action=display_load_pools_main&di_id=<?php print($_GET["di_id"]);?>');
        }


    function uhrzeit(){

      var stunden, minuten, sekunden;
      var StundenZahl, MinutenZahl, SekundenZahl;


      var heute;

      heute = new Date();
      DatumName = heute.getDate();
      StundenZahl = heute.getHours();
      MinutenZahl = heute.getMinutes();
      SekundenZahl = heute.getSeconds();

      stunden = StundenZahl+":";
      if (MinutenZahl < 10) {
            minuten = "0" + MinutenZahl + ":";
      } else {
            minuten = MinutenZahl + ":";
      }

      if (SekundenZahl < 10) {
          sekunden = "0" + SekundenZahl + " ";
      } else {
        sekunden = SekundenZahl + " ";
      }

      zeit = stunden + minuten + sekunden;
      return zeit;

      //window.setTimeout("ticken();", 1000);
    }

    function GetDay(intDay){

        var DayArray = new Array("Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag");
        return DayArray[intDay];

    }
    function GetMonth(intMonth){

        var MonthArray = new Array("Januar", "Februar", "März", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember");
        return MonthArray[intMonth];

    }
    function getDateStrWithDOW(){

        var today = new Date();
        var year = today.getYear();
        if(year<1000) year+=1900
        var todayStr = GetDay(today.getDay()) + ", der ";
        todayStr += today.getDate() + ". " + GetMonth(today.getMonth());
        todayStr += ", " + year;
        //return todayStr + ' Bla fasel';
        uhr.innerHTML = todayStr + ' ' + uhrzeit();
        return true;

    }

    getDateStrWithDOW();
    meta_james_pools_main_load();
    //window.onload = ticken;

    setInterval(function(){ getDateStrWithDOW() }, 1000);






   //-->
</script>

    </body>
</html>
