<?php

$DI_OPT = array();
$DI_OPT["show_scan_qr_code"] = true;
$DI_OPT["show_scan_id_card"] = true;
$DI_OPT["show_language"] = true;
$DI_OPT["show_map"] = true;
$DI_OPT["show_contacts"] = true;
$DI_OPT["show_call_alert"] = true;
$DI_OPT["show_self_spont_checkin"] = true;
$DI_OPT["show_jdialog"] = false;
$DI_OPT["show_jlingo"] = false;
$DI_OPT["show_welcome"] = true;

/*
 * merge eventual custom settings for a particular display
 */
$DI_OPT = array_merge( $DI_OPT, meta_visitor_template_display_data_get( $_GET["di_id"] ));

    $l10n    = array()    ;
    $language    = "de"    ;

    function get_translations($language)
    {
        global $tpl_base_path;
        $GLOBALS["l10n"][$language] = json_decode(file_get_contents(MS_OPT_BASE . $GLOBALS["TPL"][$tpl_base_path]["base_path"] . "l10n/" . $language . ".json"), true);

    }
    function translate($string, $language = null)
    {
        if(!isset($language))
        {
            $language = $GLOBALS["language"];
        }
        if(!isset($GLOBALS["l10n"][$language]))
        {
            get_translations($language);
        }
        print $GLOBALS["l10n"][$language][$string];
    }

    if(isset($_GET["language"]))
    {
        $language = $_GET["language"];
    }
    get_translations($language);

?>
<!DOCTYPE html>

<html lang="<?php print $_GET["language"] ?>">
	<head>
		<!-- Meta -->
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<base href="<?php print $TPL[$tpl_base_path]["base_path"] ?>"/>
		<title><?php print $TPL[$tpl_base_path]["title"] ?></title>
		<!-- <link href="/metacore/skins/fonts/opensans.css"	rel="stylesheet"/>
		<link href="css/reset.css"	rel="stylesheet"/>
		<link href="css/slider.css"	rel="stylesheet"/>
		<link href="css/overlay.css"	rel="stylesheet"/>
		<link href="css/variables.css"	rel="stylesheet"/>
		<link href="css/layout.css"	rel="stylesheet"/> -->

    <link href="css/slider.css"	rel="stylesheet"/>
    <link rel="stylesheet/less" type="text/css" href="css/styles.less" />
    <script src="//cdnjs.cloudflare.com/ajax/libs/less.js/3.9.0/less.min.js" ></script>
		<link href="css/style.css"	rel="stylesheet"/>
        <?php
            include("css/phpcss.php");
        ?>
        <link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=Open+Sans" />
		<script src="https://www.youtube.com/iframe_api"	></script>
		<script src="/metacore/jslibs/jquery/jquery.min.js"	></script>
		<script src="js/display.js"	></script>
		<script src="js/slider.js"	></script>
		<script src="js/overlay.js"	></script>
		<script src="js/presenter.js"	></script>
	</head>
	<body id="whole_body">
    <div id="presenter">
    	<!-- Header -->
  		<header id="header">
  			<div id="logo-wrapper">
  				<img alt="<?php print $TPL[$tpl_base_path]["title"] ?> Logo" class="left" id="logo" src="<?php print $TPL[$tpl_base_path]["logo"] ?>"/>
  				<span class="left" id="logo-text"><?php translate("main_logo_text") ?></span>
  			</div>

  		</header>
  		<!-- Content -->
      <main id="content">
  			<div class="box message" id="message">

  			</div>
  		</main>

  		<footer id="footer" onclick="location.reload();">
  			<span id="positon">
  				<?php print($DI["di_loc_name"]); ?>
  			</span>
  			<span id="time"></span>
  			<div id="websocketStatus" data-connected="false"></div>
  		</footer>
		<script type="text/javascript">
            <?php

                if ( array_key_exists("onLoadAction", $_GET) ) {
                    if ( $_GET["onLoadAction"] == "chekin_ok" ) {
                        $msg = "Checkin ok! Danke!";
                        print("meta_james_display_message_box_load( '".$_GET["di_id"]."','".$_GET["di_id"]."','".$_GET["di_id"]."','".base64_encode($msg)."', '".$_GET["autologout"]."' )\n");
                    }
                    elseif ( $_GET["onLoadAction"] == "chekout_ok" ) {
                        $msg = "Checkout ok! Danke!";
                        print("meta_james_display_message_box_load( '".$_GET["di_id"]."','".$_GET["di_id"]."','".$_GET["di_id"]."','".base64_encode($msg)."', '".$_GET["autologout"]."' )\n");
                    }
                    elseif ( $_GET["onLoadAction"] == "display_load_guide_main" ) {
                        print("\$('#content').load('/ajax/display_wrapper.php?di_id=".$_GET["di_id"]."&action=display_load_guide_main&gui_id=".$gui_id."&ap_id=".$_GET["ap_id"]."&au_id=".$_GET["au_id"]."&gui_data=".$_GET["gui_data"]."');");
                    }
                } else {
                    print("meta_james_display_qr_scan_event_load('".$_GET["di_id"]."','".$_GET["qr_code"]."');\n");
                }
            ?>


        </script>
    </body>
</html>
<!--
<?php
	print_r($_GET);
	print_r($_POST);
	print_r($_SERVER);
?>
//-->
