<?php
    $l10n    = array()    ;
    $language    = "de"    ;

    function get_translations($language)
    {
        /*$opt = MS_OPT_BASE;
        print "opt: " . $opt . "\n";
        $base = $GLOBALS["TPL"]["test"]["base_path"];
        print "base: " . $base . "\n";
        $path = "l10n/" . $language . ".json";
        print "path: " . $path . "\n";
        $full = $opt . $base . $path;
        print "full: " . $full . "\n";
        $contents =  file_get_contents($full);
        print "contents: " .  $contents . "\n";
        $json = json_decode($contents, true);
        print "json"; var_dump($json);
        $GLOBALS["l10n"][$language] = $json;*/

        $GLOBALS["l10n"][$language] = json_decode(file_get_contents(MS_OPT_BASE . $GLOBALS["TPL"]["lila_logistic"]["base_path"] . "l10n/" . $language . ".json"), true);
    }
    function translate($string, $language = null)
    {
        if(!isset($language))
        {
            $language = $GLOBALS["language"];
        }
        if(!isset($GLOBALS["l10n"][$language]))
        {
            get_translations($language);
        }
        print $GLOBALS["l10n"][$language][$string];
    }

    if(isset($_GET["language"]))
    {
        $language = $_GET["language"];
    }
    get_translations($language);
?>
<!DOCTYPE html>

<html lang="<?php print $_GET["language"] ?>">
	<head>
		<!-- Meta -->
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<base href="<?php print $TPL["lila_logistic"]["base_path"] ?>"/>
		<!-- Favicon -->
		<!--<link href="/images/favicon.ico" rel="shortcut icon" type="image/x-icon"/>-->
		<!-- Title -->
		<title><?php print $TPL["lila_logistic"]["title"] ?></title>
		<!-- Stylesheets -->
		<link href="/metacore/skins/fonts/opensans.css"	rel="stylesheet"/>
		<link href="css/reset.css"	rel="stylesheet"/>
		<link href="css/slider.css"	rel="stylesheet"/>
		<link href="css/variables.css"	rel="stylesheet"/>
		<link href="css/layout.css"	rel="stylesheet"/>
		<link href="css/style.css"	rel="stylesheet"/>
		<!-- JavaScript -->
		<script src="/metacore/jslibs/jquery/jquery.min.js"	></script>
		<script src="js/display.js"	></script>
		<script src="js/slider.js"	></script>
		<script src="js/presenter.js"	></script>
	</head>
	<body>
		<!-- Header -->
		<header id="header">
			<div id="logo-wrapper">
				<img alt="<?php print $TPL["lila_logistic"]["title"] ?> Logo" class="left" data-link="/display.php?di_id=<?php print($_GET["di_id"]);?>" id="logo" src="<?php print $TPL["lila_logistic"]["logo"] ?>"/>
				<span id="logo-text"></span>
			</div>
			<div class="button highlight top" id="banner"></div>
		</header>
		<!-- Content -->
		<main id="content">
			<div class="box message" id="message">

			</div>
		</main>
		<!-- Footer -->
        <footer id="footer" onclick="location.reload();">
            <span id="positon">
                <span><?php translate("main_position") ?></span>
                <span><?php print $DI["di_loc_name"] ?></span>
            </span>
            <span id="branding">powered by metaSEC e.K.</span>
            <div id="websocketStatus" data-connected="false"></div>
            <span id="time"></span>
        </footer>
		<script type="text/javascript">
            <?php
                
                if ( array_key_exists("onLoadAction", $_GET) ) {
                    if ( $_GET["onLoadAction"] == "chekin_ok" ) {
                        $msg = "Checkin ok! Danke!";
                        print("meta_james_display_message_box_load( '".$_GET["di_id"]."','".$_GET["di_id"]."','".$_GET["di_id"]."','".base64_encode($msg)."', '".$_GET["autologout"]."' )\n");
                    }
                    elseif ( $_GET["onLoadAction"] == "chekout_ok" ) {
                        $msg = "Checkout ok! Danke!";
                        print("meta_james_display_message_box_load( '".$_GET["di_id"]."','".$_GET["di_id"]."','".$_GET["di_id"]."','".base64_encode($msg)."', '".$_GET["autologout"]."' )\n");
                    }
                    elseif ( $_GET["onLoadAction"] == "display_load_guide_main" ) {
                        print("\$('#content').load('/ajax/display_wrapper.php?di_id=".$_GET["di_id"]."&action=display_load_guide_main&gui_id=".$gui_id."&ap_id=".$_GET["ap_id"]."&au_id=".$_GET["au_id"]."&gui_data=".$_GET["gui_data"]."');");
                    }
                } else {
                    print("meta_james_display_qr_scan_event_load('".$_GET["di_id"]."','".$_GET["qr_code"]."');\n");
                }
            ?>
            
            
        </script>
    </body>
</html>
<!--
<?php
	print_r($_GET);
	print_r($_POST);
	print_r($_SERVER);
?>
//-->
